;=======================================
;  CVASM16 INCLUDE FILE for the 16F886
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 09-20-07
;=======================================

                     DEVCODE    0F886h      
                     ROMSIZE    8192        
                     EESIZE     256         
                     CORE       _14bit      
                     PAGEBIT    2           
                     MAXTRIS    0009        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PORTE                EQU        0009h       
RE                   EQU        0009h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
PIR2                 EQU        000Dh       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
TMR2                 EQU        0011h       
T2CON                EQU        0012h       
SSPBUF               EQU        0013h       
SSPCON               EQU        0014h       
CCPR1L               EQU        0015h       
CCPR1H               EQU        0016h       
CCP1CON              EQU        0017h       
RCSTA                EQU        0018h       
TXREG                EQU        0019h       
RCREG                EQU        001Ah       
CCPR2L               EQU        001Bh       
CCPR2H               EQU        001Ch       
CCP2CON              EQU        001Dh       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
TRISC                EQU        0087h       
TRISE                EQU        0089h       
PIE1                 EQU        008Ch       
PIE2                 EQU        008Dh       
PCON                 EQU        008Eh       
OSCCON               EQU        008Fh       
OSCTUNE              EQU        0090h       
SSPCON2              EQU        0091h       
PR2                  EQU        0092h       
SSPADD               EQU        0093h       
SSPMSK               EQU        0093h       
MSK                  EQU        0093h       
SSPSTAT              EQU        0094h       
WPUB                 EQU        0095h       
IOCB                 EQU        0096h       
VRCON                EQU        0097h       
TXSTA                EQU        0098h       
SPBRG                EQU        0099h       
SPBRGH               EQU        009Ah       
PWM1CON              EQU        009Bh       
ECCPAS               EQU        009Ch       
PSTRCON              EQU        009Dh       
ADRESL               EQU        009Eh       
ADCON1               EQU        009Fh       
WDTCON               EQU        0105h       
CM1CON0              EQU        0107h       
CM2CON0              EQU        0108h       
CM2CON1              EQU        0109h       
EEDATA               EQU        010Ch       
EEDAT                EQU        010Ch       
EEADR                EQU        010Dh       
EEDATH               EQU        010Eh       
EEADRH               EQU        010Fh       
SRCON                EQU        0185h       
BAUDCTL              EQU        0187h       
ANSEL                EQU        0188h       
ANSELH               EQU        0189h       
EECON1               EQU        018Ch       
EECON2               EQU        018Dh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
TMR0IE               EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RBIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
TMR0IF               EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RBIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
ADIF                 EQU        PIR1.6      
RCIF                 EQU        PIR1.5      
TXIF                 EQU        PIR1.4      
SSPIF                EQU        PIR1.3      
CCP1IF               EQU        PIR1.2      
TMR2IF               EQU        PIR1.1      
TMR1IF               EQU        PIR1.0      


;=======================================
;  PIR2 Register BIT Definitions 
;=======================================
OSFIF                EQU        PIR2.7      
C2IF                 EQU        PIR2.6      
C1IF                 EQU        PIR2.5      
EEIF                 EQU        PIR2.4      
BCLIF                EQU        PIR2.3      
ULPWUIF              EQU        PIR2.2      
CCP2IF               EQU        PIR2.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GIV                EQU        T1CON.7     
TMR1GE               EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
T1INSYNC             EQU        T1CON.2     
T1SYNC               EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  T2CON Register BIT Definitions 
;=======================================
TOUTPS3              EQU        T2CON.6     
TOUTPS2              EQU        T2CON.5     
TOUTPS1              EQU        T2CON.4     
TOUTPS0              EQU        T2CON.3     
TMR2ON               EQU        T2CON.2     
T2CKPS1              EQU        T2CON.1     
T2CKPS0              EQU        T2CON.0     


;=======================================
;  SSPCON Register BIT Definitions 
;=======================================
WCOL                 EQU        SSPCON.7    
SSPOV                EQU        SSPCON.6    
SSPEN                EQU        SSPCON.5    
CKP                  EQU        SSPCON.4    
SSPM3                EQU        SSPCON.3    
SSPM2                EQU        SSPCON.2    
SSPM1                EQU        SSPCON.1    
SSPM0                EQU        SSPCON.0    


;=======================================
;  CCP1CON Register BIT Definitions 
;=======================================
P1M1                 EQU        CCP1CON.7   
P1M0                 EQU        CCP1CON.6   
DC1B1                EQU        CCP1CON.5   
CCP1X                EQU        CCP1CON.5   
DC1B0                EQU        CCP1CON.4   
CCP1Y                EQU        CCP1CON.4   
CCP1M3               EQU        CCP1CON.3   
CCP1M2               EQU        CCP1CON.2   
CCP1M1               EQU        CCP1CON.1   
CCP1M0               EQU        CCP1CON.0   


;=======================================
;  RCSTA Register BIT Definitions 
;=======================================
SPEN                 EQU        RCSTA.7     
RX9                  EQU        RCSTA.6     
RC9                  EQU        RCSTA.6     
NOT_RC8              EQU        RCSTA.6     
RC8_9                EQU        RCSTA.6     
SREN                 EQU        RCSTA.5     
CREN                 EQU        RCSTA.4     
ADDEN                EQU        RCSTA.3     
FERR                 EQU        RCSTA.2     
OERR                 EQU        RCSTA.1     
RX9D                 EQU        RCSTA.0     
RCD8                 EQU        RCSTA.0     


;=======================================
;  CCP2CON Register BIT Definitions 
;=======================================
CCP2X                EQU        CCP2CON.5   
DC2B1                EQU        CCP2CON.5   
CCP2Y                EQU        CCP2CON.4   
DC2B0                EQU        CCP2CON.4   
CCP2M3               EQU        CCP2CON.3   
CCP2M2               EQU        CCP2CON.2   
CCP2M1               EQU        CCP2CON.1   
CCP2M0               EQU        CCP2CON.0   


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS1                EQU        ADCON0.7    
ADCS0                EQU        ADCON0.6    
CHS3                 EQU        ADCON0.5    
CHS2                 EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
GO_DONE              EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION_REG Register BIT Definitions 
;=======================================
NOT_RBPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
ADIE                 EQU        PIE1.6      
RCIE                 EQU        PIE1.5      
TXIE                 EQU        PIE1.4      
SSPIE                EQU        PIE1.3      
CCP1IE               EQU        PIE1.2      
TMR2IE               EQU        PIE1.1      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PIE2 Register BIT Definitions 
;=======================================
OSFIE                EQU        PIE2.7      
C2IE                 EQU        PIE2.6      
C1IE                 EQU        PIE2.5      
EEIE                 EQU        PIE2.4      
BCLIE                EQU        PIE2.3      
ULPWUIE              EQU        PIE2.2      
CCP2IE               EQU        PIE2.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
ULPWUE               EQU        PCON.5      
SBOREN               EQU        PCON.4      
NOT_POR              EQU        PCON.1      
NOT_BO               EQU        PCON.0      
NOT_BOR              EQU        PCON.0      


;=======================================
;  OSCCON Register BIT Definitions 
;=======================================
IRCF2                EQU        OSCCON.6    
IRCF1                EQU        OSCCON.5    
IRCF0                EQU        OSCCON.4    
OSTS                 EQU        OSCCON.3    
HTS                  EQU        OSCCON.2    
LTS                  EQU        OSCCON.1    
SCS                  EQU        OSCCON.0    


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   


;=======================================
;  SSPCON2 Register BIT Definitions 
;=======================================
GCEN                 EQU        SSPCON2.7   
ACKSTAT              EQU        SSPCON2.6   
ACKDT                EQU        SSPCON2.5   
ACKEN                EQU        SSPCON2.4   
RCEN                 EQU        SSPCON2.3   
PEN                  EQU        SSPCON2.2   
RSEN                 EQU        SSPCON2.1   
SEN                  EQU        SSPCON2.0   


;=======================================
;  SSPSTAT Register BIT Definitions 
;=======================================
SMP                  EQU        SSPSTAT.7   
CKE                  EQU        SSPSTAT.6   
D                    EQU        SSPSTAT.5   
I2C_DATA             EQU        SSPSTAT.5   
NOT_A                EQU        SSPSTAT.5   
NOT_ADDRESS          EQU        SSPSTAT.5   
D_A                  EQU        SSPSTAT.5   
DATA_ADDRESS         EQU        SSPSTAT.5   
P                    EQU        SSPSTAT.4   
I2C_STOP             EQU        SSPSTAT.4   
S                    EQU        SSPSTAT.3   
I2C_START            EQU        SSPSTAT.3   
R                    EQU        SSPSTAT.2   
I2C_READ             EQU        SSPSTAT.2   
NOT_W                EQU        SSPSTAT.2   
NOT_WRITE            EQU        SSPSTAT.2   
R_W                  EQU        SSPSTAT.2   
READ_WRITE           EQU        SSPSTAT.2   
UA                   EQU        SSPSTAT.1   
BF                   EQU        SSPSTAT.0   


;=======================================
;  WPUB Register BIT Definitions 
;=======================================
WPUB7                EQU        WPUB.7      
WPUB6                EQU        WPUB.6      
WPUB5                EQU        WPUB.5      
WPUB4                EQU        WPUB.4      
WPUB3                EQU        WPUB.3      
WPUB2                EQU        WPUB.2      
WPUB1                EQU        WPUB.1      
WPUB0                EQU        WPUB.0      


;=======================================
;  IOCB Register BIT Definitions 
;=======================================
IOCB7                EQU        IOCB.7      
IOCB6                EQU        IOCB.6      
IOCB5                EQU        IOCB.5      
IOCB4                EQU        IOCB.4      
IOCB3                EQU        IOCB.3      
IOCB2                EQU        IOCB.2      
IOCB1                EQU        IOCB.1      
IOCB0                EQU        IOCB.0      


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
VREN                 EQU        VRCON.7     
VROE                 EQU        VRCON.6     
VRR                  EQU        VRCON.5     
VRSS                 EQU        VRCON.4     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  TXSTA Register BIT Definitions 
;=======================================
CSRC                 EQU        TXSTA.7     
TX9                  EQU        TXSTA.6     
NOT_TX8              EQU        TXSTA.6     
TX8_9                EQU        TXSTA.6     
TXEN                 EQU        TXSTA.5     
SYNC                 EQU        TXSTA.4     
SENDB                EQU        TXSTA.3     
BRGH                 EQU        TXSTA.2     
TRMT                 EQU        TXSTA.1     
TX9D                 EQU        TXSTA.0     
TXD8                 EQU        TXSTA.0     


;=======================================
;  SPBRG Register BIT Definitions 
;=======================================
BRG7                 EQU        SPBRG.7     
BRG6                 EQU        SPBRG.6     
BRG5                 EQU        SPBRG.5     
BRG4                 EQU        SPBRG.4     
BRG3                 EQU        SPBRG.3     
BRG2                 EQU        SPBRG.2     
BRG1                 EQU        SPBRG.1     
BRG0                 EQU        SPBRG.0     


;=======================================
;  SPBRGH Register BIT Definitions 
;=======================================
BRG15                EQU        SPBRGH.7    
BRG14                EQU        SPBRGH.6    
BRG13                EQU        SPBRGH.5    
BRG12                EQU        SPBRGH.4    
BRG11                EQU        SPBRGH.3    
BRG10                EQU        SPBRGH.2    
BRG9                 EQU        SPBRGH.1    
BRG8                 EQU        SPBRGH.0    


;=======================================
;  PWM1CON Register BIT Definitions 
;=======================================
PRSEN                EQU        PWM1CON.7   
PDC6                 EQU        PWM1CON.6   
PDC5                 EQU        PWM1CON.5   
PDC4                 EQU        PWM1CON.4   
PDC3                 EQU        PWM1CON.3   
PDC2                 EQU        PWM1CON.2   
PDC1                 EQU        PWM1CON.1   
PDC0                 EQU        PWM1CON.0   


;=======================================
;  ECCPAS Register BIT Definitions 
;=======================================
ECCPASE              EQU        ECCPAS.7    
ECCPAS2              EQU        ECCPAS.6    
ECCPAS1              EQU        ECCPAS.5    
ECCPAS0              EQU        ECCPAS.4    
PSSAC1               EQU        ECCPAS.3    
PSSAC0               EQU        ECCPAS.2    
PSSBD1               EQU        ECCPAS.1    
PSSBD0               EQU        ECCPAS.0    


;=======================================
;  PSTRCON Register BIT Definitions 
;=======================================
STRSYNC              EQU        PSTRCON.4   
STRD                 EQU        PSTRCON.3   
STRC                 EQU        PSTRCON.2   
STRB                 EQU        PSTRCON.1   
STRA                 EQU        PSTRCON.0   


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON1.7    
VCFG1                EQU        ADCON1.5    
VCFG0                EQU        ADCON1.4    


;=======================================
;  WDTCON Register BIT Definitions 
;=======================================
WDTPS3               EQU        WDTCON.4    
WDTPS2               EQU        WDTCON.3    
WDTPS1               EQU        WDTCON.2    
WDTPS0               EQU        WDTCON.1    
SWDTEN               EQU        WDTCON.0    


;=======================================
;  CM1CON0 Register BIT Definitions 
;=======================================
C1ON                 EQU        CM1CON0.7   
C1OUT                EQU        CM1CON0.6   
C1OE                 EQU        CM1CON0.5   
C1POL                EQU        CM1CON0.4   
C1R                  EQU        CM1CON0.2   
C1CH1                EQU        CM1CON0.1   
C1CH0                EQU        CM1CON0.0   


;=======================================
;  CM2CON0 Register BIT Definitions 
;=======================================
C2ON                 EQU        CM2CON0.7   
C2OUT                EQU        CM2CON0.6   
C2OE                 EQU        CM2CON0.5   
C2POL                EQU        CM2CON0.4   
C2R                  EQU        CM2CON0.2   
C2CH1                EQU        CM2CON0.1   
C2CH0                EQU        CM2CON0.0   


;=======================================
;  CM2CON1 Register BIT Definitions 
;=======================================
MC1OUT               EQU        CM2CON1.7   
MC2OUT               EQU        CM2CON1.6   
C1RSEL               EQU        CM2CON1.5   
C2RSEL               EQU        CM2CON1.4   
T1GSS                EQU        CM2CON1.1   
C2SYNC               EQU        CM2CON1.0   


;=======================================
;  SRCON Register BIT Definitions 
;=======================================
SR1                  EQU        SRCON.7     
SR0                  EQU        SRCON.6     
C1SEN                EQU        SRCON.5     
C2REN                EQU        SRCON.4     
PULSS                EQU        SRCON.3     
PULSR                EQU        SRCON.2     
FVREN                EQU        SRCON.0     


;=======================================
;  BAUDCTL Register BIT Definitions 
;=======================================
ABDOVF               EQU        BAUDCTL.7   
RCIDL                EQU        BAUDCTL.6   
SCKP                 EQU        BAUDCTL.4   
BRG16                EQU        BAUDCTL.3   
WUE                  EQU        BAUDCTL.1   
ABDEN                EQU        BAUDCTL.0   


;=======================================
;  ANSEL Register BIT Definitions 
;=======================================
ANS4                 EQU        ANSEL.4     
ANS3                 EQU        ANSEL.3     
ANS2                 EQU        ANSEL.2     
ANS1                 EQU        ANSEL.1     
ANS0                 EQU        ANSEL.0     


;=======================================
;  ANSELH Register BIT Definitions 
;=======================================
ANS13                EQU        ANSELH.5    
ANS12                EQU        ANSELH.4    
ANS11                EQU        ANSELH.3    
ANS10                EQU        ANSELH.2    
ANS9                 EQU        ANSELH.1    
ANS8                 EQU        ANSELH.0    


;=======================================
;  EECON1 Register BIT Definitions 
;=======================================
EEPGD                EQU        EECON1.7    
WRERR                EQU        EECON1.3    
WREN                 EQU        EECON1.2    
WR                   EQU        EECON1.1    
RD                   EQU        EECON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_DEBUG_ON            EQU        1FFFh       
_DEBUG_OFF           EQU        3FFFh       
_LVP_ON              EQU        3FFFh       
_LVP_OFF             EQU        2FFFh       
_FCMEN_ON            EQU        3FFFh       
_FCMEN_OFF           EQU        37FFh       
_IESO_ON             EQU        3FFFh       
_IESO_OFF            EQU        3BFFh       
_BOR_ON              EQU        3FFFh       
_BOR_NSLEEP          EQU        3EFFh       
_BOR_SBODEN          EQU        3DFFh       
_BOR_OFF             EQU        3CFFh       
_CPD_ON              EQU        3F7Fh       
_CPD_OFF             EQU        3FFFh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_ON            EQU        3FEFh       
_PWRTE_OFF           EQU        3FFFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
_INTOSCIO            EQU        3FFCh       
_INTOSC              EQU        3FFDh       
_EXTRCIO             EQU        3FFEh       
_EXTRC               EQU        3FFFh       

; 2nd config word definitions
;   *** CAN NOT BE USED BY CVASM ***
;_WRT_OFF             EQU        3FFFh       
;_WRT_256             EQU        3DFFh       
;_WRT_1FOURTH         EQU        3BFFh       
;_WRT_HALF            EQU        39FFh       
;_BOR21V              EQU        3EFFh       
;_BOR40V              EQU        3FFFh       
