; ARCO16.INC: aritmetikai, konverzis s pakol rutinok, ez a vltozat
; a 16 bites mveleteket tartalmazza

; Complement BX/Inc BX
neg_bx  not     bl
	not     bh
inc_bx  inc     bl
	snz
	inc     bh
	ret

; Add BX to AX
adbxax  add     al,bl
	mov     w,bh
	snc
	incsz   ah
	add     w,ah
	mov     ah,w
	or      w,al    ; ZERO FLAG
	ret

; SIGN-EXTEND AX (12 to 16)
SEXTAX  MOV     W,#0F0H
	SNB     AH.3
	OR      AH,W
	RET

; Bx talaktsa eljel + 15 bit absz.rtk formtumra.
sabsbx  clrb    c       ; Alaprtelmezsben pozitv
	sb      bh.7    ; ez a negatv
	ret             ; pozitv visszatr
	call    neg_bx  ; negatvra komplemenskpz rutint hv
	setb    bh.7    ; beptett eljelbit
	ret              

; SIGNED SHIFT RIGHT (DIVIDE BY 2) AX. W-t nem bntja, kerekt
DIV2AX  CLRB    C
	SNB     AH.7
	SETB    C
	RR      AH
	RR      AL
	SNC
	SB      AH.7
	RET
	INCSZ   AL
	RET
	INC     AH
	RET             ; NINCS ZERO FLAG LLTS!

mul2bx  clrb    c       ; nulla lp be
	rl      bl      ; als kezd, gy a fels
	rl      bh      ; tveszi a kilpt
	jc      :neg    ; ha a felsbl 1 lpett ki, negatv volt
	snb     bh.7    
	setb    c       ; tlcsorduls az eljelbitre!
	ret
:neg    snb     bh.7    ; C=1 amikor ider, de
	clrb    c       ; trli, ha nincs tlcsorduls az eljelbitre.
	ret

; Eljel nlkli dupla oszts (kiprblva):
; ax = ax/bx, cx=maradk, dx kell neki, meg egy segdregiszter,
; amit aux-nak hvok. Eljel nlkli szmokkal megy. max. 310 tem a rutin.
; Az osztand dx-ben is megsemmisl, az oszt bx-ben megmarad.
;ah      ds      1
;al      ds      1
;bh      ds      1
;bl      ds      1
;ch      ds      1
;cl      ds      1
;dh      ds      1
;dl      ds      1
;aux    ds      1

dvaxbx  mov     aux,#16
	mov     dl,al
	mov     dh,ah
	clr     al
	clr     ah
	clr     cl
	clr     ch
dloop   clrb    c
	rl      dl
	rl      dh
	rl      cl
	rl      ch
	mov     w,bh
	mov     w,ch-w
	jnz     nochk
	mov     w,bl
	mov     w,cl-w
nochk   jnc     nogo
; ez a kis beszrs egy praktikus segdvltozt llt el
	mov     w,aux
	sb      car
	mov     aux,w
	setb    car     ; beszrs vge
	mov     w,bl
	sub     cl,w
	sc
	dec     ch
	mov     w,bh
	sub     ch,w
	setb    c
nogo    rl      al
	rl      ah
	djnz    aux,dloop
	ret

; Ha ezzel az eltttel megyek dloop-ra, akkor a maradkot osztja tovbb,
; w hosszan (w lehetleg ne legyen 8-nl tbb):
divrem  ;mov     w,res
	mov     aux,w
	clr     aux
	clrb    car
	clr     al
	clr     ah
	clr     dl
	clr     dh
	jmp     dloop

; bibc16c: 16 bit binrisrl 5 digit csomagolt bcd-re
; a binris Ah, Al-ben, a BCD eredmny Bl,Ch,Cl-ben
; van 2 db munkaragiszter- (aux s Bh) ignye.
; FSR-t is hasznlja. Bels szubrutinos vltozat.

bibc16  mov     aux,#16
	clrb    c
	clr     bl
	clr     ch
	clr     cl
:nul    rl      al
	rl      ah
	dec     aux
	snz
	ret
	sc
	jmp     :nul
	rl      cl
	rl      ch
	rl      bl
	rl      al
	rl      ah
	rl      cl
	rl      ch
	rl      bl
	dec     aux
	snz
	ret

dhurok  rl      al
	rl      ah
	rl      cl
	rl      ch
	rl      bl
	djnz    aux,dadj
	ret

dadj    mov     fsr,#cl
	call    bcadj
	mov     fsr,#ch
	call    bcadj
	mov     fsr,#bl
	call    bcadj
	jmp     dhurok     
	
bcadj   mov     w,#3
	add     w,indf
	mov     bh,w
	snb     bh.3
	mov     indf,w
	mov     w,#30h
	add     w,indf
	mov     bh,w
	snb     bh.7
	mov     indf,w
	ret

